import { ICommitmentWrapper, IMembershipWrapper } from "@snickerdoodlelabs/circuits-sdk";
import { IAxiosAjaxUtils } from "@snickerdoodlelabs/common-utils";
import { AjaxError, BigNumberString, EarnedReward, EVMContractAddress, IDynamicRewardParameter, IpfsCID, Signature, URLString, IQueryDeliveryItems, Commitment, CircuitError } from "@snickerdoodlelabs/objects";
import { ResultAsync } from "neverthrow";
import { IInsightPlatformRepository } from "./IInsightPlatformRepository.js";
export declare class InsightPlatformRepository implements IInsightPlatformRepository {
    protected ajaxUtils: IAxiosAjaxUtils;
    protected membershipWrapper: IMembershipWrapper;
    protected commitmentWrapper: ICommitmentWrapper;
    constructor(ajaxUtils: IAxiosAjaxUtils, membershipWrapper: IMembershipWrapper, commitmentWrapper: ICommitmentWrapper);
    deliverInsights(consentContractAddress: EVMContractAddress, trapdoor: BigNumberString, nullifier: BigNumberString, queryCID: IpfsCID, insights: IQueryDeliveryItems, rewardParameters: IDynamicRewardParameter[], anonymitySet: Commitment[], anonymitySetStart: number, insightPlatformBaseUrl: URLString): ResultAsync<EarnedReward[], AjaxError | CircuitError>;
    optin(consentContractAddress: EVMContractAddress, trapdoor: BigNumberString, nullifier: BigNumberString, insightPlatformBaseUrl: URLString): ResultAsync<void, AjaxError | CircuitError>;
    privateOptin(consentContractAddress: EVMContractAddress, trapdoor: BigNumberString, nullifier: BigNumberString, nonce: BigNumberString, signature: Signature, insightPlatformBaseUrl: URLString): ResultAsync<void, AjaxError | CircuitError>;
}
//# sourceMappingURL=InsightPlatformRepository.d.ts.map